@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off
echo log from setupmq.bat >setupmq.log
echo log from setupmq.bat >setupmq.errlog

call :try crtmqm MQSOAP.DEMO.QM
call :try strmqm MQSOAP.DEMO.QM
call :rtry2 define qlocal(MQSOAP.RESPONSE.QUEUE)

rem - done by deploy -- call :rtry2 define qlocal('SOAP.javaDemos.server.StockQuoteAxis')
rem - done by deploy -- call :rtry2 define qlocal('SOAP.StockQuoteDotNet')
rem - done by deploy -- call :rtry2 define qlocal(SOAP.INITQ) defsopt(excl) 

goto :eof

:try
%* >>setupmq.log 2>>setupmq.errlog
if %errorlevel%==8 goto :eof
if %errorlevel%==5 goto :eof
if %errorlevel%==0 echo %* completed OK.
if %errorlevel%==0 goto :eof
echo try %*: errlevel = %errorlevel%, see setupmq.log and setupmq.errlog for details.
goto :eof

:rtry2
echo %* | runmqsc MQSOAP.DEMO.QM >>setupmq.log  2>>setupmq.errlog
if %errorlevel%==10 goto :eof
if %errorlevel%==0 echo %* completed OK.
if %errorlevel%==0 goto :eof
echo rtry %*: errlevel = %errorlevel%
echo try %*: errlevel = %errorlevel%, see setupmq.log and setupmq.errlog for details.
